# Easy Annotation - a JavaScript library to annotate pictures online

### Features
* Add different shapes to your pictures
* Highlight some part of the image
* Blur parts of the image
* Save to PNG, JSON or XML
* Load previously saved work
* Simple usage
* Zero dependencies
* Responsive and auto-positioning
* Supports touch devices

## Getting Started
# Installation

Install via npm:
```shell
npm i easyannotation
```

Include code:
```js
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/easyannotation"></script>
```
### Example

```javascript
  new easyannotation.AnnotatorContainer(document.getElementById('inputImage')).show(function(res) {
      //process result when user press Save
      document.getElementById('sample4Res').src = res;
  });
```
## Options
```javascript
  new easyannotation.AnnotatorContainer(document.getElementById('inputImage'), {
     
     // optional target element to place the EasyAnnotation container.
     // If not specified container will be placed on document.body element.
     targetElement: document.body,

     //default font to be used for text elements. Defaults to:
     // {
     //   name: 'Arial',
     //   size: 24,
     //   bold: false,
     //   italic: false
     // }
     font: null,
    
     // the drawing style for lines, the following options can be used:
     // {
     //   startArrow: 
     //   endArrow: 

     //   Line width, can be any number starting with 1
     //   width: 1,

     //   type: 
     //}
     drawStyle: null,

     //Hide original image element. 
     //If false, image element won't be hidden and EasyAnnotation container will be placed above the original image
     hideElement: true,
    
     //optional class to add to toolbar element. This can be usefull to add your own style to toolbar.
     //Example: toolbarCls: 'sample-cls'. Then if you want to change colors and backrgound you can do the following:
     //   .sample-cls {
     //       background-color: #7ff87f;
     //   }
    
     //   .sample-cls svg * {
     //       fill: #1805A4;
     //       stroke: #1805A4;
     //   }
     toolbarCls: null,
  }).show(function(res) {
      //process result when user press Save
      document.getElementById('sample4Res').src = res;
  });
```